Summary:	The Zolera SOAP Infrastructure
Summary(pl.UTF-8):	Infrastruktura Zolera SOAP
Name:		python-ZSI
Version:	2.0
Release:	5
License:	MIT/X + LBNL BSD-style + Zope Public License
Group:		Libraries/Python
Source0:	http://dl.sourceforge.net/pywebsvcs/ZSI-%{version}.tar.gz
# Source0-md5:	bb706337cafe9e2201b06b1bce71ca0f
URL:		http://pywebsvcs.sourceforge.net/
%pyrequires_eq	python
BuildRequires:	rpm-pythonprov
Requires:	python-PyXML >= 0.8.4-6
BuildRequires:	python-PyXML
BuildRequires:	python-devel >= 1:2.3
BuildRequires:	python-setuptools
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ZSI, the Zolera SOAP Infrastructure, is a Python package that provides
an implementation of SOAP messaging, as described in The SOAP 1.1
Specification. In particular, ZSI parses and generates SOAP messages,
and converts between native Python datatypes and SOAP syntax. It can
also be used to build applications using SOAP Messages with
Attachments. ZSI is ``transport neutral'', and provides only a simple
I/O and dispatch framework; a more complete solution is the
responsibility of the application using ZSI.

%description -l pl.UTF-8
ZSI, czyli Zolera SOAP Infrastructure, to pakiet Pythona zawierający
implementację komunikacji SOAP zgodną ze specyfikacją SOAP 1.1. W
szczególności ZSI przetwarza i generuje komunikaty SOAP oraz dokonuje
konwersji między natywnymi typami danych Pythona a składnią SOAP. Może
być także używane do tworzenia aplikacji przy użyciu komunikatów SOAP
z załącznikami. ZSI jest niezależne od transportu i udostępnia jedynie
prostego szkieletu we/wy i wysyłania; za pełniejsze rozwiązanie
odpowiada aplikacja korzystająca z ZSI.

%prep
%setup -q -n ZSI-%{version}

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitescriptdir}

%py_install \
	--single-version-externally-managed \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/*.{html,css} doc/examples samples
%doc CHANGES README
%attr(755,root,root) %{_bindir}/*
%{py_sitescriptdir}/ZSI*
%changelog
* Sat Nov 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-ZSI.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> bff3325
- release 5 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 6b9622f
- automatic change: use py_build/py_install macros

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> a05c25d
- BR: rpm-pythonprov

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> b2d4997
- release 4

* Sun Oct 05 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> aac5cbe
- release 3

* Sat Sep 20 2008 Artur Frysiak <artur@frysiak.net> df8048a
- fixed typo in R:python-PyXML
- release 2

* Tue Apr 24 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 32cfd4d
- PyXML requirement

* Tue Apr 24 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 0b4a602
- up to 2.0

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> ecc50ac
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> baa440e
- converted to UTF-8

* Sat Sep 30 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 7d317f3
- rel .2

* Mon Jan 30 2006 Jakub Bogusz <qboosh@pld-linux.org> ae5e9e3
- pl

* Sun Jan 29 2006 ankry <ankry@pld-linux.org> 8836694
- typo?

* Sun Jan 29 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> f9727c1
- new one

